Bug 675787 - ICE: segfault in function '__lshrdi3'
Summary: ICE: segfault in function '__lshrdi3'
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc
Version: rawhide
Hardware: ppc64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-07 18:38 UTC by Karsten Hopp
Modified: 2011-02-16 01:29 UTC (History)
1 user (show)

Fixed In Version: gcc-4.6.0-0.7.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-02-10 13:30:34 UTC
Type: ---


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
GNU Compiler Collection 47614 0 None None None Never

Description Karsten Hopp 2011-02-07 18:38:41 UTC
Description of problem:
I've tried to build gcc-4.6.0-0.6.fc15.ppc64, currently installed gcc is gcc-4.6.0-0.5.fc15.ppc64.

In file included from ../.././gcc/tm.h:28:0,
                 from ../../../libgcc/../gcc/libgcc2.c:31:
../../../libgcc/../gcc/config/rs6000/sysv4.h:838:0: warning: "LINK_EH_SPEC" redefined [enabled by default]
../../../libgcc/../gcc/config/freebsd-spec.h:135:0: note: this is the location of the previous definition
../../../libgcc/../gcc/libgcc2.c: In function '__multi3':
../../../libgcc/../gcc/libgcc2.c:558:1: internal compiler error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
Preprocessed source stored into /tmp/cckjwqjm.out file, please attach this to your bugreport.

Comment 1 Jakub Jelinek 2011-02-10 13:30:34 UTC
Tracking upstream as PR47614.

Comment 2 Fedora Update System 2011-02-13 21:48:16 UTC
gcc-4.6.0-0.7.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/gcc-4.6.0-0.7.fc15

Comment 3 Fedora Update System 2011-02-16 01:29:26 UTC
gcc-4.6.0-0.7.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.